Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class XMLElement

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.qtcomponents.XMLElement

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class XMLElement
extends QTObject
implements quicktime.jdirect.PrimitivesLib

#pragma options align=mac68k struct XMLElement { UInt32 identifier; // size 4 // Tokenized identifier, if the element name was recognized by the parser char * name; // size 4 // Element name, only present if identifier == xmlIdentifierUnrecognized XMLAttributePtr attributes; // size 4 // Array of attributes, terminated with an attribute with identifier == xmlIdentifierInvalid XMLContentPtr contents; // size 4 // Array of contents, terminated with a content with kind == xmlIdentifierInvalid }; // sizeof (XMLElement) = 16

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`int` | `countAttributes()` count of number of XMLAttribute items
`int` | `countContents()` count of number of XMLContent items
`XMLAttribute[]` | `getAttributes()` get the attributes
`XMLContent[]` | `getContents()` get the content items of the XMLElement
`int` | `getIdentifier()` get tokenized identifier of the element
`java.lang.String` | `getName()` get the name of the element if element was not recognized by the parser
`boolean` | `identifierUnrecognized()` was identifier unrecognized by XML parser

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIdentifier

    public int getIdentifier()
                      throws StdQTException

  get tokenized identifier of the element
  Throws:
    `if` - tokenized identifier is xmlIdentifierUnrecognized

### identifierUnrecognized

    public boolean identifierUnrecognized()

  was identifier unrecognized by XML parser

### getName

    public java.lang.String getName()
                             throws StdQTException,
                                    UtilException

  get the name of the element if element was not recognized by the parser
  Throws:
    `on` - tokenized identifier not xmlIdentifierUnrecognized

### countAttributes

    public int countAttributes()
                        throws StdQTException,
                               QTException

  count of number of XMLAttribute items
  Returns:
    count of attributes

### getAttributes

    public XMLAttribute[] getAttributes()
                                 throws StdQTException,
                                        QTException

  get the attributes
  Returns:
    array of XMLAttribute

### countContents

    public int countContents()
                      throws StdQTException,
                             QTException

  count of number of XMLContent items
  Returns:
    count of content items

### getContents

    public XMLContent[] getContents()
                             throws StdQTException,
                                    QTException

  get the content items of the XMLElement
  Returns:
    array of XMLContent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD